### Constructor

# GimpUi EnumComboBox new_with_model

#### Declaration [src]

    GtkWidget*
    gimp_enum_combo_box_new_with_model (
      GimpEnumStore* enum_store
    )

#### Description [src]

Creates a `GtkComboBox` for the given `enum_store`.

Available since: | 2.4

#### Parameters

`enum_store` | `GimpEnumStore`
| A `GimpEnumStore` to use as the model.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GimpEnumComboBox`.
| The data is owned by the called function.